import os
import subprocess

f = open("studentnumbers.txt", "r")
for student in f:
    student = student.rstrip() # remove trailing newline
    seed = student.lstrip("M") # remove initial M - this will need to be adapted for other formats.
    seed = int(seed) # Turn seed into a number
    print("Processing {0}".format(student))
    print("Seed {0}".format(seed))
    for index in [0,1]: # We run the LaTeX command twice, as is usual, to build the labels
        subprocess.call(
            """lualatex -jobname=\"Coursework {0}\" \
            -output-directory=output \
            -interaction=nonstopmode \
            -enable-write18 \ # Allow LaTeX to run external commands (e.g. gnuplot, for plotting).
            \"\def\studentnumber{{{0}}} \def\seed{{{1}}} \input{{Coursework.tex}}\" """.format(student,seed),
            shell = True)

listing = os.listdir("output")
for file in listing:
    if not file.endswith('.pdf'):
        os.remove("output/{0}".format(file))

